play.templates

## Class GroovyTemplateCompiler

- java.lang.Object
- - play.templates.TemplateCompiler
  - - play.templates.GroovyTemplateCompiler

    public class GroovyTemplateCompiler
    extends TemplateCompiler

### Nested Class Summary

### Nested classes/interfaces inherited from class play.templates.TemplateCompiler

`TemplateCompiler.Tag`

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `extensionsClassnames`
`protected static int` `maxPlainTextLength`

### Fields inherited from class play.templates.TemplateCompiler

`compiledSource, currentLine, doNextScan, parser, skipLineBreak, state, tagIndex, tagsStack, template`

### Constructor Summary

Constructors
Constructor and Description
`GroovyTemplateCompiler()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `action(boolean absolute)`
`protected java.lang.String` `checkScalaCompatibility(java.lang.String source)` Makes the code scala compatible (for the scala module).
`protected java.lang.String` `checkScalaComptability(java.lang.String source)` Deprecated.
`BaseTemplate` `compile(BaseTemplate template)`
`protected void` `end()`
`protected void` `endTag()`
`protected void` `expr()`
`protected void` `head()`
`protected void` `message()`
`protected void` `plain()` Interesting performance observation: Calling print(); from java (in ExecutableTemplate) called from groovy is MUCH slower than java returning string to groovy which then prints with out.print();
`protected void` `script()`
`protected java.lang.String` `source()`
`protected void` `startTag()`

### Methods inherited from class play.templates.TemplateCompiler

`compile, generate, markLine, print, println, println`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### extensionsClassnames

    protected java.util.List<java.lang.String> extensionsClassnames

#### maxPlainTextLength

    protected static final int maxPlainTextLength

See Also:
  Constant Field Values

### Constructor Detail

#### GroovyTemplateCompiler

    public GroovyTemplateCompiler()

### Method Detail

#### compile

    public BaseTemplate compile(BaseTemplate template)

Overrides:
  `compile` in class `TemplateCompiler`

#### source

    protected java.lang.String source()

Specified by:
  `source` in class `TemplateCompiler`

#### checkScalaComptability

    @Deprecated
    protected java.lang.String checkScalaComptability(java.lang.String source)

Deprecated.

#### checkScalaCompatibility

    protected java.lang.String checkScalaCompatibility(java.lang.String source)

Makes the code scala compatible (for the scala module).

Parameters:
  `source` - The string representation of the code
Returns:
  The scala compatible source

#### head

    protected void head()

Specified by:
  `head` in class `TemplateCompiler`

#### end

    protected void end()

Specified by:
  `end` in class `TemplateCompiler`

#### plain

    protected void plain()

Interesting performance observation: Calling print(); from java (in ExecutableTemplate) called from groovy is MUCH slower than java returning string to groovy which then prints with out.print();

Specified by:
  `plain` in class `TemplateCompiler`

#### script

    protected void script()

Specified by:
  `script` in class `TemplateCompiler`

#### expr

    protected void expr()

Specified by:
  `expr` in class `TemplateCompiler`

#### message

    protected void message()

Specified by:
  `message` in class `TemplateCompiler`

#### action

    protected void action(boolean absolute)

Specified by:
  `action` in class `TemplateCompiler`

#### startTag

    protected void startTag()

Specified by:
  `startTag` in class `TemplateCompiler`

#### endTag

    protected void endTag()

Specified by:
  `endTag` in class `TemplateCompiler`